    The XSPEC lorentz model: lorentz line profile.

xslorentz
The xslorentz model is an additive model component.

The model is described at [1] .

>>> create_model_component("xslorentz", "mdl")
>>> print(mdl)

Create a component of the xslorentz model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LineE thawed 6.5 0 1e+06 keV mdl.Width thawed 0.1 0 20 keV mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LineE
The line energy, in keV.
Width
The FWHM of the line, in keV.
norm
The flux in the line, in units of photon/cm^2/s.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelLorentz.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023